package uraxis.programnodes;

import com.ur.urcap.api.contribution.ViewAPIProvider;
import com.ur.urcap.api.contribution.program.ContributionConfiguration;
import com.ur.urcap.api.contribution.program.CreationContext;
import com.ur.urcap.api.contribution.program.ProgramAPIProvider;
import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.domain.SystemAPI;
import com.ur.urcap.api.domain.data.DataModel;

import java.util.Locale;

public class AbsoluteNodeService implements SwingProgramNodeService<AbsoluteNodeContribution, AbsoluteNodeView> {

    @Override
    public String getId() {
        return "AbsoluteNodeService";
    }

    @Override
    public void configureContribution(ContributionConfiguration configuration) {
        configuration.setChildrenAllowed(false);
    }

    @Override
    public String getTitle(Locale locale) {
        return "AbsoluteNodeService";
    }

    @Override
    public AbsoluteNodeView createView(ViewAPIProvider apiProvider) {
        SystemAPI systemAPI = apiProvider.getSystemAPI();
        Style style =  new V5Style();
        return new AbsoluteNodeView(style);
    }

    @Override
    public AbsoluteNodeContribution createNode(
            ProgramAPIProvider apiProvider,
            AbsoluteNodeView view,
            DataModel model,
            CreationContext context) {
        return new AbsoluteNodeContribution(apiProvider, view, model);
    }
}
